# Timeprobe_T.h File Reference

`#include "ace/config-all.h"`
`#include "ace/Unbounded_Set.h"`
`#include "ace/Timeprobe_T.cpp"`

Include dependency graph for Timeprobe_T.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_Timeprobe_Ex< ACE_LOCK, ALLOCATOR >
| This class is used to instrument code. This is accomplished by inserting time probes at different location in the code. ACE_Timeprobe then measures the time difference between two time probes. More...
class | ACE_Function_Timeprobe< Timeprobe >
| Auto pointer like time probes. It will record <event> on construction and <event + 1> on destruction. More...

## Detailed Description

Id
  Timeprobe_T.h,v 4.26 2005/10/28 23:55:10 ossama Exp

Author:
  Irfan Pyarali